<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE project>
<project>
    <pomVersion>3</pomVersion>
    <extend>${basedir}/../../etc/project.xml</extend>

    <name>ActiveMQ :: Assembly</name>
    <id>activemq-release</id>
    <shortDescription>ActiveMQ Assembly</shortDescription>
    <description>ActiveMQ Assembly creates an ActiveMQ distribution</description>
  
    <!-- ============ -->
    <!-- Dependencies -->
    <!-- ============ -->
    <dependencies>
  
      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <lib>true</lib>
        </properties>
      </dependency>
	  <dependency> <!-- Used for unit tests -->
	    <groupId>activemq</groupId>
	    <artifactId>activemq-core-test</artifactId>
	    <version>${pom.currentVersion}</version>
	  </dependency>

      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-tools</artifactId>
        <version>${pom.currentVersion}</version>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>

      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-ra</artifactId>
        <version>${pom.currentVersion}</version>
        <type>rar</type>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>

      <dependency>
        <groupId>activemq</groupId>
        <artifactId>activemq-web</artifactId>
        <version>${pom.currentVersion}</version>
        <type>war</type>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>

       <dependency>
          <groupId>activemq</groupId>
          <artifactId>activemq-container</artifactId>
          <version>${pom.currentVersion}</version>
          <properties>
             <optional>true</optional>
          </properties>
       </dependency>

      <dependency>
        <groupId>emberio</groupId>
        <artifactId>emberio</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>

      <dependency>
        <groupId>commons-httpclient</groupId>
        <artifactId>commons-httpclient</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>  	  
      <dependency>
        <groupId>jetty</groupId>
        <artifactId>org.mortbay.jetty</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>
      <dependency>
        <groupId>tomcat</groupId>
        <artifactId>jasper-compiler</artifactId>
        <properties>
            <repository>true</repository>
        </properties>
      </dependency>
      <dependency>
        <groupId>tomcat</groupId>
        <artifactId>jasper-runtime</artifactId>
        <properties>
            <repository>true</repository>
        </properties>
      </dependency>      

      <dependency>
        <groupId>jgroups</groupId>
        <artifactId>jgroups</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>
 
      <dependency>
        <groupId>jrms</groupId>
        <artifactId>jrms</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>
          
      <dependency>
        <groupId>p2psockets</groupId>
        <artifactId>p2psockets-core</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>

      <dependency>
        <groupId>jxta</groupId>
        <artifactId>jxta</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>
      
      <dependency>
        <groupId>xstream</groupId>
        <artifactId>xstream</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>
            
      <dependency>
        <groupId>jmdns</groupId>
        <artifactId>jmdns</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>
      
      <dependency>
        <groupId>activecluster</groupId>
        <artifactId>activecluster</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>

      <dependency>
        <id>springframework</id>
        <artifactId>spring</artifactId>
        <url>http://www.springframework.org</url>
        <properties>
          <lib>true</lib>
        </properties>
      </dependency>      

      <dependency>
        <groupId>jdbm</groupId>
        <artifactId>jdbm</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>

      <dependency>
        <groupId>berkeleydb</groupId>
        <artifactId>berkeleydb</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>

      <dependency>
        <groupId>berkeleydb</groupId>
        <artifactId>berkeleydb-native</artifactId>
        <properties>
          <optional>true</optional>
        </properties>
      </dependency>      
      
      <dependency>
        <groupId>howl</groupId>
        <artifactId>howl-logger</artifactId>
        <url>http://forge.objectweb.org/projects/howl</url>
      </dependency>      
      
      <!-- HSQL SQL DB used for testing JDBC message store -->
      <dependency>
        <groupId>hsqldb</groupId>
        <artifactId>hsqldb</artifactId>
      </dependency>
      <dependency>
        <groupId>commons-dbcp</groupId>
        <artifactId>commons-dbcp</artifactId>
      </dependency>
      <dependency>
        <groupId>commons-pool</groupId>
        <artifactId>commons-pool</artifactId>
      </dependency>
      <dependency>
        <groupId>commons-collections</groupId>
        <artifactId>commons-collections</artifactId>
      </dependency>

      <!-- Derby DB used for testing JDBC message store -->
      <dependency>
        <groupId>derby</groupId>
        <artifactId>derby</artifactId>
      </dependency>
      <dependency>
        <groupId>derby</groupId>
        <artifactId>derbynet</artifactId>
      </dependency>      
      
  </dependencies>  

  <build>
    <nagEmailAddress>dev@activemq.codehaus.org</nagEmailAddress>
    <sourceDirectory>src/java</sourceDirectory>
    <unitTestSourceDirectory>src/test</unitTestSourceDirectory>

    <integrationUnitTestSourceDirectory/>
    <aspectSourceDirectory/>

    <unitTest>
      <resources>
        <resource>
          <directory>src/test</directory>
          <includes>
            <include>**/*.properties</include>
            <include>**/*.xml</include>
          </includes>
        </resource>
      </resources>
      <includes>
        <include>**/*Test.*</include>
      </includes>
      <excludes>

        <!-- disable multicast related tests by default -->
        <exclude>**/*Zeroconf*Test.*</exclude>

        <!-- not sure why these tests fail -->       
        <exclude>**/QueueClusterTest.*</exclude>
        <exclude>**/TopicClusterTest.*</exclude>

        <!-- disable known bugs -->
        <exclude>**/TwoBrokerTopicSendReceiveUsingJavaConfigurationTest.*</exclude>
        <exclude>**/TwoActiveClusterDiscoveryBrokerTopicSendReceiveTest.*</exclude>
        <exclude>**/TwoBrokerQueueSendReceiveTest.*</exclude>
	<exclude>**/TwoBrokerTopicSendReceiveTest.*</exclude>
	<exclude>**/TwoBrokerTopicSendReceiveUsingTcpTest.*</exclude>
	<exclude>**/ReliableReconnectTest.*</exclude>
        <!-- Tests that seem to have broken after module refactor  -->
        <exclude>**/DurableConsumerCloseAndReconnectTest.*</exclude>
        <exclude>**/QueueConsumerCloseAndReconnectTest.*</exclude>

      </excludes>
    </unitTest>

    <resources>
      <resource>
        <directory>src/conf</directory>
        <includes>
          <include>**/*</include>
        </includes>
      </resource>
    </resources>
  </build>
  
</project>
	
